package jat;

import java.util.ArrayList;
import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

@ManagedBean
@SessionScoped
public class PersonMB {

	private List<Person> persons = new ArrayList<>();
	
	private Person editPerson;
	private boolean newRecord;

	
	public PersonMB() {
		persons.add(new Person("Thomas A.", "Anderson", 25400));
		persons.add(new Person("Pepa", "Zajic", 8400));
	}

	public Person getEditPerson() {
		return editPerson;
	}

	public void setEditPerson(Person editPerson) {
		this.editPerson = editPerson;
	}

	public List<Person> getPersons() {
		return persons;
	}
	
	public String editPerson(Person p) {
		editPerson = p;
		newRecord = false;
		return "edit";
	}
	
	public String newPerson() {
		editPerson = new Person();
		newRecord = true;
		return "edit";
	}
	
	public String save() {
		if(newRecord) {
			persons.add(editPerson);
		}
		return "index";
	}
}
